package pipe.gui;

import pipe.dataLayer.*;

import javax.swing.*;
import java.util.*;
import java.util.Observable;
import java.awt.*;
import java.awt.event.*;
import java.awt.event.MouseEvent;

import javax.swing.event.MouseInputAdapter;


/**
 * Class used to implement methods corresponding to mouse events on transitions.
 *
 */

public class TransitionHandler extends  PetriNetObjectHandler {

  int degree;

  public TransitionHandler(CreateGui creategui, Container contentpane) {
    super(creategui,contentpane);
    degree = 45;


  }

  public void mouseClicked(MouseEvent e) {
    if(animationmode == true){
      return;
    }
    else {

      if (e.getClickCount()==2) {
        // System.out.println("rotate");
        ((Transition)e.getComponent()).rotate(degree);

      }

    }
  }


  /** Creates the popup menu that the user will see when they right click on a component */
  public JPopupMenu getPopup(MouseEvent e) {

    JPopupMenu popup = new JPopupMenu();
    JMenuItem menuItem = new JMenuItem(new LabelAction(contentPane,e.getComponent()));
    menuItem.setText("Add label");
    popup.add(menuItem);


    menuItem = new JMenuItem(new DeleteAction(contentPane,e.getComponent(),theApp));
    menuItem.setText("Delete");
    popup.add(menuItem);


    menuItem = new JMenuItem(new EditRateAction(contentPane,e.getComponent(),theApp));
    menuItem.setText("Set rate");
    popup.add(menuItem);

    return popup;
  }


}














